#!/bin/sh
set -e

tmp_dir="$(mktemp -d)"

cleanup()
{
	rm -rf "$tmp_dir"
}

trap cleanup EXIT

src_dir=$(pwd)
build_dir="$tmp_dir/build"
staging_dir="$tmp_dir/staging"

mkdir -p "$build_dir" "$staging_dir"

export CMAKE_PREFIX_PATH="$staging_dir/usr"
export CPATH="$staging_dir/usr/include"

for package in foo bar
do
	echo '+-+-+-+-+-+-+-+'
	echo " $package"
	echo '+-+-+-+-+-+-+-+'
	mkdir "$build_dir/$package"
	cd "$build_dir/$package"
	set -x
	cmake "$src_dir/debian/tests/$package" -DCMAKE_INSTALL_PREFIX=/usr
	make VERBOSE=ON
	make install DESTDIR="$staging_dir"
	set +x
done

